Skip to content

Update Company

PATCH
/companies/{company_id}

Update a company’s fields (partial update).

A name over 512 characters or a linkedin_url that is not a web address is refused with a 400 and nothing is written. An employee_count with no number, an unrecognised country, or a linkedin_url that is not on linkedin.com is saved as sent and flagged in warnings (present only when there is something to flag).

Authorizations

Parameters

Path Parameters

company_id
required

Company ID

integer

Company ID

Header Parameters

X-Target-Org-Id
Any of:
string

Request Body required

Request body for updating a company. All fields optional (partial update).

object
address
Any of:
string
city
Any of:
string
country
Any of:
string
domain
Any of:
string
employee_count
Any of:
string
industry
Any of:
string
linkedin_url
Any of:
string
name
Any of:
string
phone
Any of:
string
state
Any of:
string
website
Any of:
string
zip
Any of:
string

Responses

200

Successful Response

object
data
required
object
key
additional properties
any
pagination
Any of:
object
has_next
required

Whether there are more pages

boolean
limit
required

Items per page

integer
next_cursor
Any of:
string
notes
Any of:
Array<string>
page
required

Current page number (1-indexed)

integer
total
required

Total number of items

integer
total_available
Any of:
integer
total_is_lower_bound
Any of:
boolean

422

Validation Error

object
detail
Array<object>
object
loc
required
Array
msg
required
string
type
required
string